## ava 0.2.5

=== src/Makefile ===
# AVA Makefile
# Uros Platise (c) 1999
#
# Check directories and then
#  - to compile type: make
#  - to install type: make install
#  - to run type: ava
#
# Switch -fhandle-exceptions is required by the GNU C++ 2.7.2.1 and
# may be removed for higher versions (as egcs 2.9.*)
#
# Switch -O2 does not work with GNU C+ 2.7.2.1 due to internal errors

# Directory Setup
	AVA_BIN = /usr/local/bin
	AVA_LIB = /usr/local/lib/uTools/ava

# The following lines declare compile options. 
#
#   Note: -O option cannot be specifed for GNU C++ version 2.7.2.1
#         due to the internal bug. That is why is not specifed by default.

	SRC	= Main.C Preproc.C Lexer.C Syntax.C Symbol.C \
                  Segment.C Keywords.C Reports.C Object.C Avr.C

	OBJ	= Main.o Preproc.o Lexer.o Syntax.o Symbol.o \
                  Segment.o Keywords.o Reports.o Object.o Avr.o

	CC	= g++
	LIBS	=

# Old testing flags ...
#	CPPFLAGS= -DAVA_LIB="\"$(AVA_LIB)\"" -Wall \
#		  -fhandle-exceptions -fenum-int-equiv -fnonnull-objects \
#		  -fforce-addr -fthread-jumps -felide-constructors

# Add -O option for version 2.8 or more ...

# GNU C++ compiler
#	CPPFLAGS= -DAVA_LIB="\"$(AVA_LIB)\"" -Wall \
#		  -fhandle-exceptions -fenum-int-equiv

# egcs C++ compiler
	CPPFLAGS= -O2 -DAVA_LIB="\"$(AVA_LIB)\"" -Wall \
		  -fenum-int-equiv


# Do the stuff as specified above.
all:	ava

ava:	$(OBJ)
	$(CC) -o $@ $(CPPFLAGS) $(OBJ) $(LIBS)

clean:
	rm *.o ava

install:
	mkdir -p $(AVA_LIB)
	rm -r $(AVA_LIB)
	cp -r ../avalib $(AVA_LIB)
	cp ava $(AVA_BIN)

## ava 0.3b.19990815

=== doc/Makefile ===
# AVA
# User's Manual
# Uros Platise (c) 1999
#
# Check directory before installation!
#
# To compile you need full tex distribution and latex2html converter.
#
# To compile type: make
# To install type: make install

	DOC_DIR	= /usr/doc/uTools/ava

all:	ava.ps

ava.dvi:	ava.tex
		latex ava.tex

ava.ps:	ava.dvi
		dvips ava.dvi -o

#html: 		ava.tex
#	export ICONSERVER=../../icons
#	latex2html -index_in_navigation -show_section_numbers -font_size 11pt -info "" -html_version 3.1 -split 3 ava

install:
	mkdir -r $(DOC_DIR)
	cp ava.ps $(DOC_DIR)
#	cp -r ava $(DOC_DIR)/html

=== src/Makefile ===
--- 
+++ 
@@ -41,7 +41,7 @@
 #		  -fhandle-exceptions -fenum-int-equiv
 
 # egcs C++ compiler
-	CPPFLAGS= -O2 -DAVA_LIB="\"$(AVA_LIB)\"" -Wall \
+	CPPFLAGS= -O3 -DAVA_LIB="\"$(AVA_LIB)\"" -Wall \
 		  -fenum-int-equiv

=== examples/crt-demo/Makefile ===
# Ultra Simple Makefile for the:
#
#	crt-demo.s and task.s
#
# It generates crt-demo in motorola format and listings.
#
# Note: This example is not intended to be loaded inside
#       the AVR FLASH.
#
# Uros Platise (c) 1999

all:	crt-demo

crt-demo: crt-demo.o task.o
	ava crt-demo.o task.o -o crt-demo -v -v --motorola
	
crt-demo.o: crt-demo.s
	ava crt-demo.s -L
	
task.o: task.s
	ava task.s -L

clean:
	rm crt-demo *.lst *.o

=== debian/changelog ===
ava (0.3b.19990815-5) unstable; urgency=low

  * QA upload.
  * Install manpages (Closes: #436802).

 -- Alessio Treglia <alessio@debian.org>  Thu, 24 Jun 2010 14:46:53 +0200

ava (0.3b.19990815-4.1) unstable; urgency=low

  [Jari Aalto]
  * Non-maintainer upload.
  * Update to packaging format "3.0 (quilt)" due to patch.
  * debian/patches
    - (number 10): Add patch to fix GCC 4.4
      invalid conversion from const char* to char*.
      (RC bug FTBFS serious; Closes: #560455).
    - (debian-changes-*): added automatically by the packaging format 3.0.
  * debian/source/format
     - New file.

 -- Jari Aalto <jari.aalto@cante.net>  Sat, 09 Jan 2010 20:20:19 +0200

ava (0.3b.19990815-4) unstable; urgency=low

  * QA upload. (ACK NMU; Closes: #288412, #291719)
  * Set maintainer to QA Group; Orphaned: #404466
  * Bump compat level, depend on at least dh 4.0.0
  * Remove bashism in debian/rules (Closes: #380109)
  * Remove debian/substvars from .diff.gz
  * Conforms with latest Standards Version 3.7.2

 -- Michael Ablassmeier <abi@debian.org>  Mon,  8 Jan 2007 07:36:15 +0100

ava (0.3b.19990815-3.1) unstable; urgency=low

  * Non-maintainer upload.
  * Remove build-dep on g++-3.3 (Closes: #343035, #288412).
  * Add missing manpage for ava (Closes: #291719).

 -- Luk Claes <luk@debian.org>  Tue, 27 Dec 2005 18:01:10 +0100

ava (0.3b.19990815-3) unstable; urgency=low

  * Remove undocumented manpages
  * Update Standards-Version to 3.6.1.0
  * Recompile with latest g++ (closes: Bug#236036)

 -- Jefferson E. Noxon <jeff@debian.org>  Thu, 04 Mar 2004 10:18:19 -0600

ava (0.3b.19990815-2.1) unstable; urgency=low

  * NMU
  * Fix C++ 3.0 errors.  Closes: #104834.

 -- LaMont Jones <lamont@smallone.fc.hp.com>  Tue, 31 Jul 2001 13:24:04 -0600

ava (0.3b.19990815-2) unstable; urgency=low

  * Fixed Build-Depends (closes: Bug#77008)
  * Use upstream .ps documentation

 -- Jefferson E. Noxon <jeff@debian.org>  Tue, 14 Nov 2000 10:23:49 -0600

ava (0.3b.19990815-1) unstable; urgency=low

  * New upstream release
  * Added Build-Depends (closes: Bug#70166)

 -- Jefferson E. Noxon <jeff@debian.org>  Sun,  5 Nov 2000 16:55:34 -0600

ava (0.2.5-2) unstable; urgency=low

  * Modified code to compile with gcc-2.95 (UNTESTED!)
     (Compiler switch -fenum-int-equiv has been removed from latest g++)
  * Upload with pristine sources & patches (Fixes #44226)
  * Updated to debian-policy 3.0.1.1

 -- Jefferson E. Noxon <jeff@debian.org>  Tue, 14 Sep 1999 23:43:59 -0500

ava (0.2.5-1) unstable; urgency=low

  * Initial Release.

 -- Jefferson E. Noxon <jeff@planetfall.com>  Sat,  6 Feb 1999 19:19:13 -0600

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: ava
Section: electronics
Priority: extra
Maintainer: Debian QA Group <packages@qa.debian.org>
Standards-Version: 3.7.2
Build-Depends: debhelper (>= 4.0.0)

Package: ava
Architecture: any
Depends: ${shlibs:Depends}, uisp
Description: Algebraical Virtual Assembler for Atmel's AVR MCUs
 AVA is an advanced assembler and linker for Atmel's family of 8-bit
 AVR microcontrollers.  It offers a C-like preprocessor, powerful
 segments, and virtual symbols.
 .
 This assembler is not compatible with Atmel's assembler syntax.

=== debian/rules ===
#!/usr/bin/make -f
# debian/rules for ava.  GNU copyright 1997-1999 by Joey Hess and others.

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

build: build-stamp
build-stamp:
	dh_testdir
	$(MAKE) AVA_BIN=/usr/bin AVA_LIB=/usr/lib/uTools/ava -C src
#	$(MAKE) -C doc
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp install-stamp
	-$(MAKE) -C src clean
#	-$(MAKE) -C doc clean
	dh_clean

install: install-stamp
install-stamp: build-stamp
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Binary
	install -m 755 -o root -g root src/ava \
              `pwd`/debian/ava/usr/bin

	# Changelog files
	install -m 644 -o root -g root CHANGES \
              `pwd`/debian/ava/usr/share/doc/ava/changelog
	install -m 644 -o root -g root debian/changelog \
              `pwd`/debian/ava/usr/share/doc/ava/changelog.Debian

	# TODO file
	install -m 644 -o root -g root TODO \
              `pwd`/debian/ava/usr/share/doc/ava

	# AVA library/header files
	cp -rp avalib/* \
              `pwd`/debian/ava/usr/lib/uTools/ava/

	# Example files
	cp -rp examples/* \
              `pwd`/debian/ava/usr/share/doc/ava/examples/

	# Postscript documentation (TODO: HTML documentation)
	install -m 644 -o root -g root doc/ava.ps \
              `pwd`/debian/ava/usr/share/doc/ava/

	chown -R 0.0 `pwd`/debian/ava/usr/lib/uTools/ava/
	chown -R 0.0 `pwd`/debian/ava/usr/share/doc/ava/examples/

	touch install-stamp

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
#	dh_testversion
	dh_testdir
	dh_testroot
#	-dh_undocumented
	dh_installdocs
#	dh_installexamples
#	dh_installmenu
#	dh_installemacsen
#	dh_installinit
#	dh_installcron
	dh_installman debian/ava.1 debian/ava.es.1
	dh_installchangelogs
	dh_strip
	dh_compress
	dh_fixperms
#	dh_suidregister
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
#	dh_makeshlibs
	dh_md5sums
	dh_builddeb

source diff:                                                                  
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary

## ava engine-0.11.4rc3

=== requirements.txt ===
grpcio-tools==1.8.4
